Sign up a user using email and password
curl --request POST \
--url https://aquila.attaxr.com/api/auth/sign-up/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "<string>",
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', email: '<string>', password: '<string>'})
};
fetch('https://aquila.attaxr.com/api/auth/sign-up/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/sign-up/email"
payload = {
"name": "<string>",
"email": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"user": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>"
},
"token": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
Sign up a user using email and password
Sign up a user using email and password
POST
/
api
/
auth
/
sign-up
/
email
Sign up a user using email and password
curl --request POST \
--url https://aquila.attaxr.com/api/auth/sign-up/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "<string>",
"password": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', email: '<string>', password: '<string>'})
};
fetch('https://aquila.attaxr.com/api/auth/sign-up/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/sign-up/email"
payload = {
"name": "<string>",
"email": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"user": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>"
},
"token": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Personal API key sent as a bearer token.
Body
application/json
The name of the user
The email of the user
The password of the user
The profile image URL of the user
The URL to use for email verification callback
If this is false, the session will not be remembered. Default is true.

